<?php
global $lang, $app;

$config->env->create = new stdclass();
$config->env->create->requiredFields = 'name,code,system,type';

$config->env->edit = new stdclass();
$config->env->edit->requiredFields = 'name,code,system,type';

$config->env->apiError = new stdclass();
$config->env->apiError->envCodeIsExist = '/唯一标识符 (.+) 已存在，请更改后重试/';

$config->env->apiErrorList = array();
$config->env->apiErrorList[] = '该环境已关联了发布配置，请删除相关发布配置后再尝试删除';

$config->env->actionList = array();
$config->env->actionList['edit']['icon']        = 'edit';
$config->env->actionList['edit']['text']        = $lang->edit;
$config->env->actionList['edit']['hint']        = $lang->edit;
$config->env->actionList['edit']['showText']    = true;
$config->env->actionList['edit']['url']         = array('module' => 'env', 'method' => 'edit', 'params' => 'id={id}');
$config->env->actionList['edit']['data-toggle'] = 'modal';

$config->env->actionList['delete']['icon']         = 'trash';
$config->env->actionList['delete']['text']         = $lang->delete;
$config->env->actionList['delete']['hint']         = $lang->delete;
$config->env->actionList['delete']['showText']     = true;
$config->env->actionList['delete']['ajaxSubmit']   = true;
$config->env->actionList['delete']['data-confirm'] = array('message' => $lang->env->confirmDelete, 'icon' => 'icon-exclamation-sign', 'iconClass' => 'warning-pale rounded-full icon-2x');
$config->env->actionList['delete']['url']          = array('module' => 'env', 'method' => 'delete', 'params' => 'id={id}');
